import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="pgnp",
    version="0.0.7",
    description="A web-to-gemini proxy for Philly news sites",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://tildegit.org/epiii2/pgnp",
    install_requires=[
        "requests",
        "requests_html"
        ],
    packages=["pgnp"],
    python_requires='>=3.7',
    entry_points={'console_scripts': [
        'pgnp=pgnp.__main__:main',
    ]},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)",
        "Operating System :: POSIX :: Linux",
    ],
)
